# Introduction

The temperature control lab is an application of feedback control with an Arduino, an LED, two heaters, and two temperature sensors that is mainly based in the `APMonitor TCLab` project. The heater power output is adjusted to maintain a desired temperature setpoint. Thermal energy from the heater is transferred by conduction, convection, and radiation (phenomena) to the temperature sensor. Heat is also transferred away from the device to the surroundings by the heat-sink.

![](http://apmonitor.com/pdc/uploads/Main/tclab_transparent.png)

This project is a resource for model identification, controller development, and machine learning applications. It is a pocket-sized lab with software in Python, MATLAB, and Simulink for the purpose of reinforcing control theory for students. 

# Portable Temperature Control Lab for Learning Process Control

This lab teaches principles of system dynamics and control. In particular, this lab reinforces:

- Dynamic modeling with balance equations
- The difference between manual and automatic control
- Step tests to generate dynamic data
- Fitting dynamic data to a First Order Plus Dead Time (FOPDT) model
- Obtaining parameters for PID control from standard tuning rules
- Tuning the PID controller to improve performance


![](http://apmonitor.com/pdc/uploads/Main/tclab_schematic.png)


# Main project ideas

![](./tclab-block.png)

![](./pcb.png)
